﻿  
  
# **Angular viewer component for reports and dashboards**

The Viewer component is designed to view reports and dashboards in the web browser.

The viewer is fully customizable, fast, and convenient to use, supports interactive elements, the full-screen mode for viewing the entire dashboard and individual elements, and converting the analytical panel to PDF, Excel, PNG, and other formats. To fully integrate into projects, we offer a variety of theme options and customization options for the appearance and functionality of the application.

More about [Stimulsoft Dashboards.ANGULAR](https://www.stimulsoft.com/en/products/dashboards-angular) and [Stimulsoft Reports.ANGULAR](https://www.stimulsoft.com/en/products/reports-angular)

# How to install

```
npm install stimulsoft-viewer-angular
```

# Integration


The viewer is developed to work in an Angular application in conjunction with the ASP.NET MVC or .NET Core platforms. We have created a special functionality for rapid and simple integration of reports and dashboards to a project – the  [Publish wizard](https://publish.stimulsoft.com/). It enables you to integrate a pre-built document into any project with just a few clicks.

To integrate the product into a project, simply install the necessary packages from the NPM repository for an Angular project and one package from the server-side NuGet repository for the required platform - [ASP.NET MVC](https://www.nuget.org/packages/Stimulsoft.Dashboards.Angular) and [.NET Core MVC](https://www.nuget.org/packages/Stimulsoft.Dashboards.Angular.NetCore). If needed, all packages can be downloaded from our website to a computer, and libraries and scripts can be added to a project manually. No additional modules or special extensions are required; everything you need is already in the report builder.

# Live Demo

We prepared many templates of reports and dashboards, that you can explore and edit in our online demo. Choose the template you need, connect your data and try to create rich reports and analytical dashboards – the solution is ready. Try the [**Live Demo**](http://demo.stimulsoft.com).

# Video and Documentation

We provide full User Manuals and Class References intended to give technical assistance to people using our reporting tools. More information in the [**Online Documentation**](https://www.stimulsoft.com/en/documentation/online/programming-manual/index.html?reports_js.htm)**.**

Also, we prepared many videos about working of our software. See video on our [**YouTube channel**](https://www.youtube.com/channel/UCfp34IViS8vF1ZoF3K1s_mg).

[**Download**](https://www.stimulsoft.com/en/downloads)

[**Online Store**](https://www.stimulsoft.com/en/online-store#embedded/reports/web) 

[**License Info**](https://github.com/stimulsoft/Reports.JS/blob/HEAD/LICENSE.md)