import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ModelService } from '../services/model.service';
import { HelperService } from '../services/helper.service';
import { AnimationEvent } from '@angular/animations';
import { FormService } from './form.service';
import * as i0 from "@angular/core";
export declare class BaseFormComponent implements OnInit {
    model: ModelService;
    helper: HelperService;
    formService: FormService;
    element: ElementRef;
    changeVisibility: EventEmitter<any>;
    action: EventEmitter<any>;
    level: number;
    caption: string;
    helpUrl: string;
    fontFamily: string;
    color: string;
    fontSize: string;
    containerPadding: string;
    name: string;
    defaultTop: number;
    showCancel: boolean;
    showButtons: boolean;
    showSeparator: boolean;
    display: string;
    constructor(model: ModelService, helper: HelperService, formService: FormService);
    ngOnInit(): void;
    startAnimation(event: AnimationEvent): void;
    doneAnimation(event: AnimationEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaseFormComponent, "sti-base-form", never, { "level": { "alias": "level"; "required": false; }; "caption": { "alias": "caption"; "required": false; }; "helpUrl": { "alias": "helpUrl"; "required": false; }; "fontFamily": { "alias": "fontFamily"; "required": false; }; "color": { "alias": "color"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; "containerPadding": { "alias": "containerPadding"; "required": false; }; "name": { "alias": "name"; "required": false; }; "defaultTop": { "alias": "defaultTop"; "required": false; }; "showCancel": { "alias": "showCancel"; "required": false; }; "showButtons": { "alias": "showButtons"; "required": false; }; "showSeparator": { "alias": "showSeparator"; "required": false; }; }, { "changeVisibility": "changeVisibility"; "action": "action"; }, never, ["*"], false, never>;
}
